Bug 218065 - Buffer overflow when polling SNMP IP Address
Summary: Buffer overflow when polling SNMP IP Address
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: zabbix (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jarod Wilson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-01 17:25 UTC by Jeffrey C. Ollie
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-13 20:45:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for buffer overflow. (309 bytes, patch)
2006-12-01 17:25 UTC, Jeffrey C. Ollie
no flags Details | Diff

Description Jeffrey C. Ollie 2006-12-01 17:25:22 UTC
Description of problem:
The zabbix server crashes when you try and poll a SNMP OID that returns an IP
address.  In my case I am polling
"ip.ipRouteTable.ipRouteEntry.ipRouteNextHop.0.0.0.0".  It looks like the buffer
allocated for converting a numeric IP address into a string is too small and the
gcc buffer overflow protection code detects that and kills the server.

Version-Release number of selected component (if applicable):

1.1.4-2.fc6

How reproducible:
Always.

Steps to Reproduce:
1. Set up a new item in Zabbix to poll a SNMP OID that returns an IP address.
  
Actual results:
Zabbix server crashes.

Expected results:
Data gets entered into database.

Additional info:
Patch attached.

Comment 1 Jeffrey C. Ollie 2006-12-01 17:25:22 UTC
Created attachment 142585 [details]
Fix for buffer overflow.

Comment 3 Jarod Wilson 2006-12-13 20:45:47 UTC
Patch included in zabbix-1.1.4-4, now building for devel, fc6 and fc5. I'll drop
a line to upstream about it...


Note You need to log in before you can comment on or make changes to this bug.